Subject: Re: bug#12734: Broken Link

From: Pádraig Brady <[email-masked]>
Date: Fri, 26 Oct 2012 15:57:56 +0100

On 10/25/2012 06:42 PM, Pádraig Brady wrote:
> On 10/25/2012 12:57 PM, John Beatty wrote:
>> On page:
>>
>> <http://www.gnu.org/software/coreutils/manual/html_node/tee-invocation.html>
>>
>> the link "Process Substitution" about half way down is broken.
>>
>> Incidentally, it would be useful to have a bug-reporting link on each
>> page.
>
> It seems I need to setup some symlinks (.symlinks) for bash and emacs
> I'll do that in cvs on the website now.

The cron job to update those links has run now,
and they seem to work.  I'm going to also add this,
since `info bash` seems to work on more systems
than `info bashref`.

thanks,
Pádraig.

commit c960e7e1af86b5308545bf890d4db45e1b52ef9e
Author: Pádraig Brady <[email-masked]>
Date:   Fri Oct 26 15:46:04 2012 +0100

     doc: update bash info cross reference

     * doc/coreutils.texi (tee invocation): Reference
     the bash manual rather than bashref, as the latter
     is no longer used on newer systems.

diff --git a/doc/coreutils.texi b/doc/coreutils.texi
index e2b1059..5a64c2b 100644
--- a/doc/coreutils.texi
+++ b/doc/coreutils.texi
@@ -12392,7 +12392,7 @@ checksum in a file named @file{dvd.sha1}.
  Note, however, that this example relies on a feature of modern shells
  called @dfn{process substitution}
  (the @samp{>(command)} syntax, above;
-@xref{Process Substitution,,Process Substitution, bashref,
+@xref{Process Substitution,,Process Substitution, bash,
  The Bash Reference Manual}.),
  so it works with @command{zsh}, @command{bash}, and @command{ksh},
  but not with @command{/bin/sh}.  So if you write code like this